
QGIS Application - Bug report #16301

OGR Buffer fails in Processing when datasource is PostGIS

2017-03-07 12:48 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/OGR

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24211

Description

See details here: https://lists.osgeo.org/pipermail/qgis-developer/2017-March/047329.html

History

#1 - 2017-03-07 01:21 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

The user must specify the geometry column name.

#2 - 2017-03-07 01:31 AM - Paolo Cavallini

The default should work, and the user should be warned what to type.

As it is, the tool is unusable by most.

#3 - 2017-03-07 01:40 AM - Giovanni Manghi

Paolo Cavallini wrote:

The default should work, and the user should be warned what to type.

As it is, the tool is unusable by most.

there is already a feature request for improvements. As it is it works, just select the proper geometry column name (that by the way is ok by default for

most of formats, as shapefiles). If you want to geoprocess postgis layers within postgis with processing there is a proper plugin for that.

#4 - 2017-03-07 01:44 AM - Paolo Cavallini

Probably adding a short help and a note to the param would help.

Thanks.

#5 - 2017-03-07 01:45 AM - Paolo Cavallini

Anyway, IMHO this is still a bug: every command should work with the default values.
#6 - 2017-03-07 01:49 AM - Giovanni Manghi

Paolo Cavallini wrote:

Anyway, IMHO this is still a bug: every command should work with the default values.

feel free to submit the patch to automatically get the geom column name of inputs (not yet implemented in Processing afaik).

#7 - 2017-03-07 01:49 AM - Giovanni Manghi

Paolo Cavallini wrote:

Probably adding a short help and a note to the param would help.

sure

#8 - 2017-03-07 01:50 AM - Paolo Cavallini

- Status changed from Closed to Reopened

- Resolution deleted (invalid)

#9 - 2017-03-07 01:51 AM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution set to invalid

#10 - 2017-03-07 01:53 AM - Paolo Cavallini

As said, this requires a patch, as for the user it does not work: what is the purpose of closing it?

#11 - 2017-03-07 01:55 AM - Giovanni Manghi

Paolo Cavallini wrote:

As said, this requires a patch, as for the user it does not work: what is the purpose of closing it?

as it is it works just fine, what you propose is an improvement.

#12 - 2017-03-07 02:29 AM - Paolo Cavallini

Sorry to insist: it works for many data sources, not for PostGIS, without user warnings.

#13 - 2017-03-07 02:34 AM - Giovanni Manghi

Paolo Cavallini wrote:
Sorry to insist: it works for many data sources, not for PostGIS, without user warnings.

the users just need to change "geometry" in "geom" or whataver is the geometry column name.

The parameter title is very clear

Geometry column name ("geometry" for shapefiles, maybe different for other formats)

is that not clear enough?!

#14 - 2017-03-09 02:12 AM - Paolo Cavallini

You are right, thanks. Perhaps in the help we could add other common names for other formats (geom for PostGIS, other?).

#15 - 2017-03-09 02:16 AM - Giovanni Manghi

Paolo Cavallini wrote:

You are right, thanks. Perhaps in the help we could add other common names for other formats (geom for PostGIS, other?).

there is a plan to tentatively add something to get automatically the geom column name.
